}
function run_pep8 {
- echo "Running pep8 ..."
-
- PEP8_EXCLUDE="vcsversion.py,*.pyc,openstack"
- # we now turn off pep8 1.3 E125 check to avoid make change to
- # openstack-common .
- PEP8_OPTIONS="--exclude=$PEP8_EXCLUDE --ignore=E125,E711,E712 --repeat --show"
- PEP8_INCLUDE="bin/* quantum run_tests.py setup*.py"
- ${wrapper} pep8 $PEP8_OPTIONS $PEP8_INCLUDE
+ bash -c "${wrapper} tools/run_pep8.sh"
}
--- /dev/null
+#!/bin/bash
+
+set -e
+
+echo "Running flake8 ..."
+# E711/E712 comparison to False should be 'if cond is False:' or 'if not cond:'
+# query = query.filter(Component.disabled == False)
+# E125 continuation line does not distinguish itself from next logical line
+# H301 one import per line
+# H302 import only modules
+# TODO(marun) H404 multi line docstring should start with a summary
+# TODO(marun) H901,902 use the not operator inline for clarity
+# TODO(markmcclain) H202 assertRaises Exception too broad
+PEP8_IGNORE="E711,E712,E125,H301,H302,H404,H901,H902,H202"
+PEP8_BUILTINS="_"
+PEP8_EXCLUDE=".venv,.git,.tox,dist,doc,*openstack/common*,*lib/python*,*egg,tools"
+flake8 --exclude=$PEP8_EXCLUDE --ignore=$PEP8_IGNORE --show-source --builtins=$PEP8_BUILTINS .
downloadcache = ~/cache/pip
[testenv:pep8]
-commands =
- flake8
+commands = bash ./tools/run_pep8.sh
[testenv:i18n]
commands = python ./tools/check_i18n.py ./quantum ./tools/i18n_cfg.py
[testenv:venv]
commands = {posargs}
-
-[flake8]
-# E711/E712 comparison to False should be 'if cond is False:' or 'if not cond:'
-# query = query.filter(Component.disabled == False)
-# E125 continuation line does not distinguish itself from next logical line
-# H301 one import per line
-# H302 import only modules
-# TODO(marun) H404 multi line docstring should start with a summary
-# TODO(marun) H901,902 use the not operator inline for clarity
-# TODO(markmcclain) H202 assertRaises Exception too broad
-ignore = E711,E712,E125,H301,H302,H404,H901,H902,H202
-show-source = true
-builtins = _
-exclude=.venv,.git,.tox,dist,doc,*openstack/common*,*lib/python*,*egg,tools